Subject: Re: [PATCH] t4013: prepare for the new default branch name "main"

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Nov 2020 13:49:57 -0800

Johannes Schindelin <[email-masked]> writes:

> Could you advise how I could help advance this patch further? This is the
> last patch I need that is not in `next` to get to the patch series that
> actually flips the default of `init.defaultBranch` to `main` (see
> https://github.com/gitgitgadget/git/pull/762).

Is it an option to add 

    git config --global init.defaultBranchName master

at the very beginning of the test script without making any other
change?

After all, we may want to avoid 'slave' but 'master' by itself is
not all that bad, especially given that it is used only in the test
script.  If we were to have "does the configuration variable work
OK?" test somewhere anyway, why not make it this test?